Get bond futures prices from repo rates
curl --request POST \
--url https://api.riskportal.activeviam.com/api/Tradable/GetBondFuturesPricesFromRepoRates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"mkt_data_date": "2000-01-23T04:56:07.000+00:00",
"repo_rates": [
6.027456183070403,
6.027456183070403
],
"eligible_bonds": [
null,
null
],
"pricing_date": "2000-01-23T04:56:07.000+00:00"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/Tradable/GetBondFuturesPricesFromRepoRates"
payload = {
"mkt_data_date": "2000-01-23T04:56:07.000+00:00",
"repo_rates": [6.027456183070403, 6.027456183070403],
"eligible_bonds": [None, None],
"pricing_date": "2000-01-23T04:56:07.000+00:00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
mkt_data_date: '2000-01-23T04:56:07.000+00:00',
repo_rates: [6.027456183070403, 6.027456183070403],
eligible_bonds: [null, null],
pricing_date: '2000-01-23T04:56:07.000+00:00'
})
};
fetch('https://api.riskportal.activeviam.com/api/Tradable/GetBondFuturesPricesFromRepoRates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/Tradable/GetBondFuturesPricesFromRepoRates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'mkt_data_date' => '2000-01-23T04:56:07.000+00:00',
'repo_rates' => [
6.027456183070403,
6.027456183070403
],
'eligible_bonds' => [
null,
null
],
'pricing_date' => '2000-01-23T04:56:07.000+00:00'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/Tradable/GetBondFuturesPricesFromRepoRates"
payload := strings.NewReader("{\n \"mkt_data_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"repo_rates\": [\n 6.027456183070403,\n 6.027456183070403\n ],\n \"eligible_bonds\": [\n null,\n null\n ],\n \"pricing_date\": \"2000-01-23T04:56:07.000+00:00\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/Tradable/GetBondFuturesPricesFromRepoRates")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"mkt_data_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"repo_rates\": [\n 6.027456183070403,\n 6.027456183070403\n ],\n \"eligible_bonds\": [\n null,\n null\n ],\n \"pricing_date\": \"2000-01-23T04:56:07.000+00:00\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/Tradable/GetBondFuturesPricesFromRepoRates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"mkt_data_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"repo_rates\": [\n 6.027456183070403,\n 6.027456183070403\n ],\n \"eligible_bonds\": [\n null,\n null\n ],\n \"pricing_date\": \"2000-01-23T04:56:07.000+00:00\"\n}"
response = http.request(request)
puts response.read_body{
"prices": [
0.8008281904610115,
0.8008281904610115
]
}Get bond futures prices from repo rates
POST
/
api
/
Tradable
/
GetBondFuturesPricesFromRepoRates
Get bond futures prices from repo rates
curl --request POST \
--url https://api.riskportal.activeviam.com/api/Tradable/GetBondFuturesPricesFromRepoRates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"mkt_data_date": "2000-01-23T04:56:07.000+00:00",
"repo_rates": [
6.027456183070403,
6.027456183070403
],
"eligible_bonds": [
null,
null
],
"pricing_date": "2000-01-23T04:56:07.000+00:00"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/Tradable/GetBondFuturesPricesFromRepoRates"
payload = {
"mkt_data_date": "2000-01-23T04:56:07.000+00:00",
"repo_rates": [6.027456183070403, 6.027456183070403],
"eligible_bonds": [None, None],
"pricing_date": "2000-01-23T04:56:07.000+00:00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
mkt_data_date: '2000-01-23T04:56:07.000+00:00',
repo_rates: [6.027456183070403, 6.027456183070403],
eligible_bonds: [null, null],
pricing_date: '2000-01-23T04:56:07.000+00:00'
})
};
fetch('https://api.riskportal.activeviam.com/api/Tradable/GetBondFuturesPricesFromRepoRates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/Tradable/GetBondFuturesPricesFromRepoRates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'mkt_data_date' => '2000-01-23T04:56:07.000+00:00',
'repo_rates' => [
6.027456183070403,
6.027456183070403
],
'eligible_bonds' => [
null,
null
],
'pricing_date' => '2000-01-23T04:56:07.000+00:00'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/Tradable/GetBondFuturesPricesFromRepoRates"
payload := strings.NewReader("{\n \"mkt_data_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"repo_rates\": [\n 6.027456183070403,\n 6.027456183070403\n ],\n \"eligible_bonds\": [\n null,\n null\n ],\n \"pricing_date\": \"2000-01-23T04:56:07.000+00:00\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/Tradable/GetBondFuturesPricesFromRepoRates")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"mkt_data_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"repo_rates\": [\n 6.027456183070403,\n 6.027456183070403\n ],\n \"eligible_bonds\": [\n null,\n null\n ],\n \"pricing_date\": \"2000-01-23T04:56:07.000+00:00\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/Tradable/GetBondFuturesPricesFromRepoRates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"mkt_data_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"repo_rates\": [\n 6.027456183070403,\n 6.027456183070403\n ],\n \"eligible_bonds\": [\n null,\n null\n ],\n \"pricing_date\": \"2000-01-23T04:56:07.000+00:00\"\n}"
response = http.request(request)
puts response.read_body{
"prices": [
0.8008281904610115,
0.8008281904610115
]
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
If both provider selectors are omitted or empty, the request uses the organization's market-data provider. Access to the selected provider is required.
Available options:
Derivitec.Web.Core.Tradables.ApiGetBondFuturesPricesFromRepoRatesRequest, Derivitec.Web.Core Name of the market-data environment. Supply this name or provider_id, not both.
Opaque market-data provider identifier. Supply this identifier or market_data_environment_name, not both.
Show child attributes
Show child attributes
Example:
{ "traded_price": 0.8008281904610115 }
Show child attributes
Show child attributes
Was this page helpful?